// Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers
// See the COPYRIGHT file at the top-level directory of this distribution

// Abelujo is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// Abelujo is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.
{% extends "base.html" %}

{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}

div(ng-controller="DepositCreateController")

 .row
    div
      uib-alert(ng-repeat="alert in messages", type="{{ 'alert.level' | ng}}", close="closeAlert($item)") {{ 'alert.message' | ng }}

 .row
   .col-sm-1
   .col-lg-9
    h3 {% trans "New deposit" %}
      a.btn.btn-default(role="button"
                          href="http://abelujo.cc/docs/deposits/"
                          target="_blank",
                          style="margin-left: 3em",
                          title='{% trans "Read the documentation" %}')
          i.glyphicon.glyphicon-question-sign
    form(method='post', name="depositForm")
      .row
        b: div {% trans "Name of the deposit" %}
        input.form-control#default-input(type="text",
          ng-model="deposit_name",
          required,
          ng-required='true')

        b: div {% trans "Type" %}
        select.form-control(ng-model="deposit_type", ng-options="elt.name for elt in deposit_types", required)

        div(ng-show="{% verbatim %} isDistributorDeposit(deposit_type.name) {% endverbatim %}")
          b {% trans "Destination place" %}
          select.form-control(ng-model="dest_place", ng-options="elt.name for elt in places")

        b: div {% trans "Due date" %}
        p.input-group
          input.form-control(
                type='text'
                datepicker-popup='{{format}}'
                ng-model='due_date'
                is-open='opened'
                datepicker-options='dateOptions'
                ng-required='false'
                close-text='Close'
                required
              )
          span.input-group-btn
                button.btn.btn-default(type='button', ng-click='open($event)')
                  i.glyphicon.glyphicon-calendar

        b: div {% trans "Minimum wanted quantity" %}
        input.form-control(type="number", ng-model="minimal_nb_copies",
          title='{% trans "This number can also be specified card-wise" %}')

        div.form-group
          div.checkbox
              input(type="checkbox", ng-model="auto_command")
              | {% trans "Auto-command the cards" %}

        b: div {% trans "Supplier" %}
        select.form-control(ng-model="distributor", ng-options='dist for dist in dist_list')
          option(value="") ---
        div
          span {% trans "Look for cards" %} 
          span.ng-cloak(ng-show="distributor")  {% trans "whose supplier is" %} {{ 'distributor ' | ng }}:
        input.nullable.form-control(
          type='text'
          typeahead-loading="loadingCards"
          ng-model='{% verbatim %} copy_selected {% endverbatim %}'
          typeahead='{% verbatim %} copy.repr for copy in getCards($viewValue) {% endverbatim %}'
          typeahead-min-length="3"
          typeahead-wait-ms="300"
          typeahead-on-select="add_selected_card($item)"
        )

      .row
        div.list-group.ng-cloak(ng-show="cards_selected", ng-repeat="card in cards_selected ")
         .col-lg-9
              div {{ 'card.repr' | ng }}

         .col-lg-2
                p.input-group
                    label.sr-only {% trans "Quantity" %}
                    span.input-group-addon X
                    input.form-control(
                      type="number", min=0, max=99
                      //- ng-model="{% verbatim %} cards_selected[$index].quantity {% endverbatim %}"
                      ng-model="{% verbatim %} card.quantity {% endverbatim %}"
                      ng-change="{% verbatim %} updateTotalPrice() {% endverbatim %}"
                    )

         .col-lg-1
                i.glyphicon.glyphicon-remove.mouse-pointer(ng-click="remove_from_selection($index)", style="float: right;")
      .row
        input.btn.btn-primary(type="submit", value="{% trans 'Validate' %}", ng-click="addDeposit()")
            // input.btn.btn-primary(type="submit", value="Enregistrer", ng-submit="addDeposit()")


{% endblock content %}